> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.kiwiform.com/llms.txt.
> For full documentation content, see https://developers.kiwiform.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.kiwiform.com/_mcp/server.

# Verify Connection

GET https://api/api/zapier/me

### **Overview**

Returns the profile details of the currently authenticated user. Use this endpoint to perform a connectivity check and ensure your Bearer token is valid.

### **Authentication**

- **Type:** Bearer Token
    
- **Header:** `Authorization: Bearer {{YOUR_ACCESS_TOKEN}}`
    

### **Response Attributes**

| Property | Type | Description |
| --- | --- | --- |
| `id` | `string` | Unique identifier for the user. |
| `name` | `string` | The full name of the user. |
| `email` | `string` | The registered email address of the user. |

Reference: https://developers.kiwiform.com/kiwiform-api/verify-connection

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Kiwiform API
  version: 1.0.0
paths:
  /api/zapier/me:
    get:
      operationId: verify-connection
      summary: Verify Connection
      description: "### **Overview**\n\nReturns the profile details of the currently authenticated user. Use this endpoint to perform a connectivity check and ensure your Bearer token is valid.\n\n### **Authentication**\n\n- **Type:**\_Bearer Token\n    \n- **Header:**\_`Authorization: Bearer {{YOUR_ACCESS_TOKEN}}`\n    \n\n### **Response Attributes**\n\n| Property | Type | Description |\n| --- | --- | --- |\n| `id` | `string` | Unique identifier for the user. |\n| `name` | `string` | The full name of the user. |\n| `email` | `string` | The registered email address of the user. |"
      tags:
        - ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Verify Connection_Response_200'
servers:
  - url: https://api
components:
  schemas:
    Verify Connection_Response_200:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
          format: email
      required:
        - id
        - name
        - email
      title: Verify Connection_Response_200

```

## SDK Code Examples

```python Verify Connection_example
import requests

url = "https://api/api/zapier/me"

response = requests.get(url)

print(response.json())
```

```javascript Verify Connection_example
const url = 'https://api/api/zapier/me';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Verify Connection_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api/api/zapier/me"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Verify Connection_example
require 'uri'
require 'net/http'

url = URI("https://api/api/zapier/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Verify Connection_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api/api/zapier/me")
  .asString();
```

```php Verify Connection_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api/api/zapier/me');

echo $response->getBody();
```

```csharp Verify Connection_example
using RestSharp;

var client = new RestClient("https://api/api/zapier/me");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Verify Connection_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api/api/zapier/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```